<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// No direct access.
defined('_JEXEC') or die;


class plgJshoppingProductsJSextsocialbuttons extends JPlugin {


	public function onBeforeDisplayProductView(&$view) {  
		//			
			$document				= JFactory::getDocument();
			$uri 					= JURI::getInstance();
			$link 					= $uri->getScheme() ."://" . $uri->getHost() . $uri->getPath();
			
			$lang 					= JFactory::getLanguage();
			$lang_tag	 			= $lang->getTag();
			$title 					= 'name_'.$lang_tag;
			$name_product 			= htmlentities($view->product->$title, ENT_QUOTES, "UTF-8");
			
			// params
			$ext_float				= $this->params->get('ext_float', 'right');			
			$ext_position			= (int)$this->params->get('ext_position', 1);	
			
			
			// Facebook
			$ext_fb					= (int)$this->params->get('ext_fb', 1);	
			$ext_fb_lang			= $this->params->get('ext_fb_lang', 'en_US');
			$ext_fb_color_scheme	= $this->params->get('ext_fb_color_scheme', 'light');
			$ext_fb_data_action		= $this->params->get('ext_fb_data_action', 'like');
			$ext_fb_show_faces		= $this->params->get('ext_fb_show_faces', 'false');
			$ext_fb_data_send		= $this->params->get('ext_fb_data_send', 'false');
			$ext_fb_layout			= $this->params->get('ext_fb_layout', 'button_count');
			$ext_fb_data_width		= (int)$this->params->get('ext_fb_data_width', 90);	
			$ext_fb_data_height		= (int)$this->params->get('ext_fb_data_height', 20);				
			
			// Twitter Tweet
			$ext_twitter			= (int)$this->params->get('ext_twitter', 1);			
			$ext_twitter_lang		= $this->params->get('ext_twitter_lang', 'en');
			$ext_twitter_via		= $this->params->get('ext_twitter_via', 'extjoom');
			$ext_twitter_related	= $this->params->get('ext_twitter_related', 'extjoom');
			$ext_twitter_hashtags	= $this->params->get('ext_twitter_hashtags', '');
			$ext_twitter_data_count	= $this->params->get('ext_twitter_data_count', 'none');			
			
			// Twitter Follow
			$ext_twitter_follow		= (int)$this->params->get('ext_twitter_follow', 1);
			$ext_twitter_show_count	= $this->params->get('ext_twitter_show_count', 'false');
			$ext_twitter_screen_name= $this->params->get('ext_twitter_screen_name', 'false');
			$ext_twitter_name		= $this->params->get('ext_twitter_name', 'extjoom');
			$ext_twitter_data_width	= (int)$this->params->get('ext_twitter_data_width', 140);
			
			
			// Linkedin
			$ext_linkedin			= (int)$this->params->get('ext_linkedin', 1);
			$ext_in_language		= $this->params->get('ext_in_language', 'en_US');
			$ext_link_data_counter	= $this->params->get('ext_link_data_counter', 'none');			
		
			// Vk
			$ext_vk					= (int)$this->params->get('ext_vk', 1);
			$ext_vk_api_id			= $this->params->get('ext_vk_api_id');
			$ext_vk_type			= $this->params->get('ext_vk_type', 'mini');
			$ext_vk_height			= (int)$this->params->get('ext_vk_height', 20);
			$ext_vk_verb			= (int)$this->params->get('ext_vk_verb', 0);
			
			
			
			$html  .= '<div class="ext-social-buttons" style="float: '.$ext_float.'; ">';	
			// Facebook    !!! HTML 5 !!!
			if ($ext_fb > 0) {
			
				$html .= <<<EXT
<div style="float: left; margin-right:5px; ">
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/$ext_fb_lang/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
EXT;

			$html .= '<div class="fb-like" data-href="'.$link.'" data-width="'.$ext_fb_data_width.'" data-height="'.$ext_fb_data_height.'" data-colorscheme="'.$ext_fb_color_scheme.'" data-layout="'.$ext_fb_layout.'" data-action="'.$ext_fb_data_action.'" data-show-faces="'.$ext_fb_show_faces.'" data-send="'.$ext_fb_data_send.'"></div></div>';
			}
		
			// Twitter Tweet 			
			if ($ext_twitter > 0) {
				if ($ext_twitter_via != '') {
					$ext_twitter_via = 'data-via="'.$ext_twitter_via.'"';
				} else {
					$ext_twitter_via = '';
					}
				if ($ext_twitter_related != '') {				
					$ext_twitter_related= 'data-related="'.$ext_twitter_related.'"';
				} else {
					$ext_twitter_related = '';
					}
				if($ext_twitter_hashtags != '') {	
					$ext_twitter_hashtags = 'data-hashtags="'.$ext_twitter_hashtags.'"';
				} else {
					$ext_twitter_hashtags = '';
					}				
				$html .= '<div style="float: left; margin-right:5px; "><a rel="nofollow" href="https://twitter.com/share" class="twitter-share-button" data-count="'.$ext_twitter_data_count.'" '.$ext_twitter_via.' data-lang="'.$ext_twitter_lang.'" '.$ext_twitter_related.' '.$ext_twitter_hashtags.'>Tweet</a>';
			}
			
			// Twitter Follow 
			if ($ext_twitter_follow > 0) {			
				$html .= '<div style="float: left; margin-right:5px; "><a rel="nofollow" href="https://twitter.com/'.$ext_twitter_name.'" class="twitter-follow-button" data-show-count="'.$ext_twitter_show_count.'" data-lang="'.$ext_twitter_lang.'" data-show-screen-name="'.$ext_twitter_screen_name.'" data-width="'.$ext_twitter_data_width.'px">Follow</a></div>';
			}
			
			if ( $ext_twitter > 0 OR $ext_twitter_follow > 0 ) {
				$html .= "<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></div>";
			}
			
				
			
			// linkedin
			if($ext_linkedin > 0){				
				if ($ext_link_data_counter != 'none') {			
					$ext_link_data_counter = 'data-counter="'.$ext_link_data_counter.'"';
				}				
				$html .='<div style="float: left; margin-right:5px; ">
							<script src="//platform.linkedin.com/in.js" type="text/javascript">
								lang: '.$ext_in_language.'
							</script>
							<script type="IN/Share" data-url="'.$link.'" '.$ext_link_data_counter.'></script>
						</div>'; 
			}
			
			// Vk	
			if($ext_vk > 0 ){ 			
				$html .='<div style="float: left; margin-right:5px; ">
							<script type="text/javascript" src="//vk.com/js/api/openapi.js"></script><script type="text/javascript">VK.init({apiId: '.$ext_vk_api_id.', onlyWidgets: true});</script>				
							<div id="vk_like"></div>
							<script type="text/javascript">VK.Widgets.Like("vk_like", {type: "'.$ext_vk_type.'", verb: '.$ext_vk_verb.', height: '.$ext_vk_height.'});</script>
						</div>';	
			} 		

			$html  .= '<div style="clear: both;"></div></div>';
			
			// display code			
			switch ($ext_position) {
            case 1 :
                $view->_tmp_product_html_start = $html.$view->_tmp_product_html_start;
                break;
            case 3 :
                $view->_tmp_product_html_end = $html.$view->_tmp_product_html_end;
                break;
            default:
                $view->_tmp_product_html_after_buttons = $html.$view->_tmp_product_html_after_buttons;
                break;    
			}			
			
			return;
		//
	}
}